1

I am trying to use the Freeman CV that can be found here https://www.latextemplates.com/template/freeman-cv

Although I'm able to run it in Overleaf, I get loads of errors in TeXstudio even when I'm using XeLaTeX.

I would much prefer to be able to run on TeXstudio if possible. Any help would be much appreciated.

Many thanks!

6
  • If I download the linked .zip file, extract it and run XeLaTeX on cv_3.tex I get no errors and the output looks sensible enough. What errors do you get when you try to compile the file? Please note that errors in LaTeX can have a knock-on effect, so only check the first few errors and try to resolve them one by one.
    – moewe
    Commented Mar 5, 2019 at 8:27
  • Hi to both and thank you for checking. I have downloaded and extracted the .zip file in its own folder which now has cv_3.tex, structure.tex and the folder called fonts. By running XeLaTeX on cv_3.tex (Tools->Commands->XeLaTeX). The issue persists even if I change the default compiler to XeLaTeX. The first few lines appear to be font related: fontspec.sty->Missing = inserted for \ifnum. \RequirePackage xparse.sty->Missing = inserted for \ifnum. \RequirePackage{expl3}[2018-04-12] fontspec.sty -> Missing = inserted for \ifnum. \ProvidesExplPackage Many thanks!
    – alex
    Commented Mar 5, 2019 at 16:18
  • The error message suggests your LaTeX is too old for fontspec/expl3. This should be the same issue as tex.stackexchange.com/q/422176/35864 and can be resolved by thoroughly updating your TeX system (if you use MikTeX in admin and user mode, cf. tex.stackexchange.com/q/55437/35864).
    – moewe
    Commented Mar 5, 2019 at 16:58
  • 2
    I'm voting to close this question as off-topic because it could be solved with an update.
    – Mensch
    Commented Mar 6, 2019 at 4:47
  • 1
    Possible duplicate of Compilation problem with siunitx (returning error regarding ifnum)
    – moewe
    Commented Mar 6, 2019 at 5:07

0

Browse other questions tagged .